#
# TODO: - bring back static libraries
#
Summary:	A set of libraries to build 3d simulations, games etc
Summary(pl.UTF-8):	Zestaw bibliotek do budowania trójwymiarowych symulacji, gier itp
Name:		SimGear
Version:	2.12.0
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	ftp://mirrors.ibiblio.org/pub/mirrors/simgear/ftp/Source/simgear-%{version}.tar.bz2
# Source0-md5:	dfc752f4759a2f795b7cdc9dad28411e
Patch0:		%{name}-build.patch
URL:		http://simgear.sourceforge.net/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	OpenSceneGraph-devel >=3.0.0
BuildRequires:	cmake
BuildRequires:	freealut-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	subversion-devel
BuildRequires:	zlib-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
SimGear is a set of open-source libraries designed to be used as
building blocks for quickly assembling 3d simulations, games, and
visualization applications.

The term "Simulation Kernel" is a bit presumptuous for us at this
point, but this is the direction we are heading with SimGear.

%description -l pl.UTF-8
SimGear to zestaw bibliotek zaprojektowanych do wykorzystania jako
klocki do szybkiego zestawiania trójwymiarowych symulacji, gier oraz
wizualnych aplikacji.

W tej chwili jest jeszcze trochę za wcześnie na używanie terminu
"Jądro Symulacji", ale to jest kierunek w którym zmierza SimGear.

%package devel
Summary:	Header files for SimGear
Summary(pl.UTF-8):	Pliki nagłówkowe dla SimGear
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenAL-devel
Requires:	OpenGL-devel

%description devel
Header files neccessary to build SimGear applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do budowania aplikacji z SimGearem.

%package static
Summary:	Static SimGear libraries
Summary(pl.UTF-8):	Statyczne biblioteki SimGear
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SimGear libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SimGear.

%prep
%setup -q -n simgear-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake -DSIMGEAR_SHARED=ON -DSYSTEM_EXPAT=ON -DJPEG_FACTORY=ON ../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS Thanks
%attr(755,root,root) %{_libdir}/libSimGearCore.so.%{version}
%attr(755,root,root) %{_libdir}/libSimGearScene.so.%{version}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSimGearCore.so
%attr(755,root,root) %{_libdir}/libSimGearScene.so
%{_includedir}/simgear

#%#files static
#%#defattr(644,root,root,755)
#%#{_libdir}/lib*.a
%changelog
* Thu Nov 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SimGear.git;a=log;h=master

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f46395
- rel 2; build fixed (please verify)

* Sat Oct 05 2013 Bartek Szady <bszx@pld-linux.org> 16cad2a
- updated to 2.12.0

* Fri Mar 29 2013 Mateusz Korniak <matkor@pld-linux.org> 8328350
- Release 1. Verified to work with FlightGear.

* Sat Mar 23 2013 Bartek Szady <bszx@pld-linux.org> 80e1d6f
- updated to 2.10.0

* Wed Aug 04 2010 lisu <lisu@pld-linux.org> e44ebf8
- new URL

* Wed Oct 28 2009 lisu <lisu@pld-linux.org> e577b99
- reverse bogus commit

* Wed Oct 28 2009 lisu <lisu@pld-linux.org> d672b36
- there are still some undefined references in shared objects (TODO)

* Thu Aug 13 2009 Jarosław Kruk <jareq@pld-linux.org> b885f6d
- builds all library now, but some undefined references exists. (there are
  loop between libraries)

* Thu Aug 13 2009 Jarosław Kruk <jareq@pld-linux.org> 55f11b2
- rel 0.3

* Tue Aug 11 2009 Jarosław Kruk <jareq@pld-linux.org> cf58ef2
- rel 0.2
- updateed patches to 1.9.1 (builds now)
- NFY

* Tue Aug 11 2009 Jarosław Kruk <jareq@pld-linux.org> e26f820
- updated to 1.9.1

* Fri Jul 03 2009 lisu <lisu@pld-linux.org> a30c369
- there are still problemes with shared libraries - TODO restored

* Wed Jul 01 2009 lisu <lisu@pld-linux.org> c9e3f26
- do not try to install the same file twice

* Wed Jul 01 2009 lisu <lisu@pld-linux.org> df8ccec
- fix "EOF was not declared in this scope"

* Wed Jul 01 2009 lisu <lisu@pld-linux.org> e77f2fe
- mention about new patches in previous log

* Wed Jul 01 2009 lisu <lisu@pld-linux.org> 034a27a
- updated to 1.9.1 version
- build without -link.patch and -shared.patch
- changes in %%files
- new patches: -cstdio.patch, -tgdb.patch

* Sun May 27 2007 aflinta <aflinta@pld-linux.org> aad234e
- fixed R for devel, rel 1.2

* Sun May 27 2007 aflinta <aflinta@pld-linux.org> dd6a22c
- builds on Th
 - updated TODO

* Sun May 27 2007 aflinta <aflinta@pld-linux.org> 7be571f
- fixed linking with --as-needed

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 26b7681
- tabs in preamble

